Subject: Re: [PATCH net-next] tcp: Namespace-ify sysctl_tcp_default_congestion_control

From: Stephen Hemminger <[email-masked]>
Date: Mon, 13 Nov 2017 07:37:38 -0800

On Mon, 13 Nov 2017 10:27:00 +0900 (KST)
David Miller <[email-masked]> wrote:

> From: Stephen Hemminger <[email-masked]>
> Date: Fri, 10 Nov 2017 10:26:37 +0900
> 
> > Make default TCP default congestion control to a per namespace
> > value. The congestion control setting of new namespaces is inherited
> > from the root namespace. Modules are only autoloaded in the root namespace.
> > 
> > Signed-off-by: Stephen Hemminger <[email-masked]>  
> 
> I have to think some more about this and the semantics you've choosen.
> 
> Is it really buying us anything to restrict the module load to the
> initial namespace?  Unless it's really required this makes things like
> running tests in sub-namespaces unnecessarily cumbersome.

The motivation for this came from Eric Dumazet who has tests that
run in namespaces, and doing a per-namespace setup is good way to control
the default congestion control.

The restriction came from earlier discussion with Kees and Eric.
The security folks are paranoid about containers allowing loading
of modules. Probably CAP_SYS_MODULE is enough to control this already.